## EImageChooser

EImageChooser

## Synopsis

    struct              EImageChooser;
    GtkWidget *         e_image_chooser_new                 (const gchar *icon_name);
    const gchar *       e_image_chooser_get_icon_name       (EImageChooser *chooser);
    gboolean            e_image_chooser_set_from_file       (EImageChooser *chooser,
                                                             const gchar *filename);
    gboolean            e_image_chooser_set_image_data      (EImageChooser *chooser,
                                                             gchar *data,
                                                             gsize data_length);
    gboolean            e_image_chooser_get_image_data      (EImageChooser *chooser,
                                                             gchar **data,
                                                             gsize *data_length);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GtkVBox
                                     +----EImageChooser

## Implemented Interfaces

EImageChooser implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "icon-name"                gchar*                : Read / Write / Construct Only

## Signals

      "changed"                                        : Run First

## Description

## Details

### struct EImageChooser

    struct EImageChooser;

### e_image_chooser_new ()

    GtkWidget *         e_image_chooser_new                 (const gchar *icon_name);

### e_image_chooser_get_icon_name ()

    const gchar *       e_image_chooser_get_icon_name       (EImageChooser *chooser);

### e_image_chooser_set_from_file ()

    gboolean            e_image_chooser_set_from_file       (EImageChooser *chooser,
                                                             const gchar *filename);

### e_image_chooser_set_image_data ()

    gboolean            e_image_chooser_set_image_data      (EImageChooser *chooser,
                                                             gchar *data,
                                                             gsize data_length);

### e_image_chooser_get_image_data ()

    gboolean            e_image_chooser_get_image_data      (EImageChooser *chooser,
                                                             gchar **data,
                                                             gsize *data_length);

## Property Details

### The `"icon-name"` property

      "icon-name"                gchar*                : Read / Write / Construct Only

Default value: "avatar-default"

## Signal Details

### The `"changed"` signal

    void                user_function                      (EImageChooser *eimagechooser,
                                                            gpointer       user_data)          : Run First